CREATE TABLE fmk_d_block_history (
    BLOCK_ID                 NUMBER(18, 0) ,
    VERSION_ID               NUMBER(18, 0) ,
    VERSION_NAME             VARCHAR2(1020),
    JSON_MODEL               CLOB          ,
    PUBLISHED_BY             VARCHAR2(256) ,
    PUBLICATION_DATE         TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BLOCK_ID                 NUMBER(18, 0) ,
    VERSION_ID               NUMBER(18, 0) ,
    VERSION_NAME             VARCHAR2(1020),
    JSON_MODEL               CLOB          ,
    PUBLISHED_BY             VARCHAR2(256) ,
    PUBLICATION_DATE         TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_fmk_d_block_history PRIMARY KEY (BLOCK_ID, VERSION_ID, BLOCK_ID, VERSION_ID)
);
